﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;

namespace xamDataGridTabSkip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_CellActivated(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatedEventArgs e)
        {
            if (e.Cell.Field.AllowEditResolved == false)
            {
                xamDataGrid1.ExecuteCommand(DataPresenterCommands.CellNextByTab);
            }
            if (e.Cell.Field.Index == xamDataGrid1.FieldLayouts[0].Fields.Count - 1 && e.Cell.Record.Index == xamDataGrid1.Records.Count - 1)
            {
                xamDataGrid1.ExecuteCommand(DataPresenterCommands.CellFirstOverall);
                e.Cell.DataPresenter.ExecuteCommand(DataPresenterCommands.StartEditMode);
            }
        }
        
        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            var tmp = Utilities.GetDescendantFromType(xamDataGrid1, typeof(FilterCellValuePresenter), true);
            (tmp as FilterCellValuePresenter).Editor.StartEditMode();
        }

       
    }
}
